:- module(builtins, [builtin/2]).

builtin(succ, ['=',[X],[X]]).
builtin(succ, ['==',[X],[X]]).
builtin(succ, ['!']).

builtin(succ, [is,[num],[num]]).
builtin(succ, ['\==',[num],[num]]).
builtin(succ, ['<',[num],[num]]).
builtin(succ, ['>',[num],[num]]).
builtin(succ, ['>=',[num],[num]]).
builtin(succ, ['=<',[num],[num]]).
builtin(succ, ['=:=',[num],[num]]).
builtin(succ, [=\=,[num],[num]]).

builtin(call, ['=',[X],[X]]).
builtin(call, ['==',[X],[X]]).
builtin(call, ['!']).

builtin(call, [is,[_],[num]]).
builtin(call, ['\==',[num],[num]]).
builtin(call, ['<',[num],[num]]).
builtin(call, ['>',[num],[num]]).
builtin(call, ['>=',[num],[num]]).
builtin(call, ['=<',[num],[num]]).
builtin(call, ['=:=',[num],[num]]).
builtin(call, [=\=,[num],[num]]).
